# Generated by Django 2.2 on 2020-04-10 11:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('restaurant', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('food_quality', models.FloatField(blank=True, choices=[(1, 'very bad'), (2, 'bad'), (3, 'medium'), (4, 'good'), (5, 'excellent')], verbose_name='food_quality')),
                ('packaging_quality', models.FloatField(blank=True, choices=[(1, 'very bad'), (2, 'bad'), (3, 'medium'), (4, 'good'), (5, 'excellent')], verbose_name='packaging_quality')),
                ('speed_transfer', models.FloatField(blank=True, choices=[(1, 'very bad'), (2, 'bad'), (3, 'medium'), (4, 'good'), (5, 'excellent')], verbose_name='speed_transfer')),
                ('agent', models.FloatField(blank=True, choices=[(1, 'very bad'), (2, 'bad'), (3, 'medium'), (4, 'good'), (5, 'excellent')], verbose_name='agent')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('active', models.BooleanField(default=False)),
                ('restaurant', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='restaurant.Restaurant')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'comment',
                'verbose_name_plural': 'comments',
                'db_table': 'comment',
            },
        ),
    ]
